MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004553ATutorExport Contentpublic2010-09-30 07:182010-12-20 10:18
Reporterharris 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.2 
Summary0004553: AccessForAll export error: Invalid argument supplied for foreach() in A4aExport.class.php line 108
DescriptionTo reproduce
Create content->attach image -> attach a4a -> save
edit content -> remove image -> save
edit content -> add another image with another file name -> save
A4a export -> fail

Tables don't get cleaned up when we remove content medias. AccessForAll tables still hold old entries and dumping out alternative files that are no longer there.

Suggested fix:
1. skip over files that are not there. but data will remained become zombies in table.
2. when content is save, check a4a files with the content media, if they no longer exist, delete all a4a entries.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004678)
harris (developer)
2010-09-30 14:37

svn 10265

- added a deletePrimaryResource function in A4a.class.php. This function removes the given primary resource, and delete all its associated secondary resources
- changed alternative.inc.php. primary_resource table gets updated when the "Adapted Content" is pressed. Now added a codes to check and delete old primary resources.
(0004679)
harris (developer)
2010-10-01 07:15

that fix only applies when user click on the "adapted content". Problem remains if user edit content -> delete resource file -> save.
(0004680)
harris (developer)
2010-10-01 10:26

svn 10267
updated vitals, added convert_amp(input);
(0004681)
cindy (administrator)
2010-10-01 12:41

SVN revision: 10274

1. fixed problem with "edit content -> delete resource file -> save"
2. always convert "&" to "&" when saving resources into a4a tables
3. when displaying alternatives, use converted content ("&" -> "&")

Affected:
include/lib/output.inc.php
mods/_core/editor/editor_tab_functions.inc.php
mods/_core/editor/editor_tabs/alternatives.inc.php
mods/_core/imsafa/classes/A4a.class.php
mods/_core/imsafa/html/resources_parser.inc.php
(0004686)
cindy (administrator)
2010-10-04 10:03

SVN revision:10283

1. In output.inc.php, function provide_alternatives(), finds alternatives based on converted html for display, instead of the content with [media] embedded.
2. Removed mods/_core/imsafa/html/resources_parser.php, which is replaced by include/classes/ContentOutputParser.class.php

Modified scripts:
content.php
include/lib/output.inc.php
mods/_core/editor/editor_tab_functions.inc.php
mods/_core/editor/editor_tabs/alternatives.inc.php

Deleted:
mods/_core/imsafa/html/resources_parser.php
mods/_core/imsafa/html
(0004696)
harris (developer)
2010-10-06 13:06

svn 10304

- skip over primary resources if it doesn't have a type declared.
(0004823)
harris (developer)
2010-12-17 13:35

closing thread.

- Issue History
Date Modified Username Field Change
2010-09-30 07:18 harris New Issue
2010-09-30 07:18 harris Affects version => SVN
2010-09-30 14:37 harris Status new => resolved
2010-09-30 14:37 harris Resolution open => fixed
2010-09-30 14:37 harris Assigned To => harris
2010-09-30 14:37 harris Note Added: 0004678
2010-10-01 07:15 harris Status resolved => feedback
2010-10-01 07:15 harris Resolution fixed => reopened
2010-10-01 07:15 harris Note Added: 0004679
2010-10-01 10:26 harris Note Added: 0004680
2010-10-01 12:41 cindy Note Added: 0004681
2010-10-04 10:03 cindy Note Added: 0004686
2010-10-06 13:06 harris Note Added: 0004696
2010-12-17 13:35 harris Status feedback => resolved
2010-12-17 13:35 harris Fixed in Version => 2.0.2
2010-12-17 13:35 harris Resolution reopened => fixed
2010-12-17 13:35 harris Note Added: 0004823
2010-12-20 10:18 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker